Difference between revisions of "User talk:Earnest"

From ArchWiki
Jump to: navigation, search
(Changes to VCS PKGBUILD guidelines)
(Changes to VCS PKGBUILD guidelines)
Line 12: Line 12:
 
[[User:Scimmia|Scimmia]] ([[User talk:Scimmia|talk]]) 03:23, 14 September 2013 (UTC)
 
[[User:Scimmia|Scimmia]] ([[User talk:Scimmia|talk]]) 03:23, 14 September 2013 (UTC)
  
: {{ic|echo}} should never be used in shell scripting and I’ve replaced subshells (|) and forks (sed) by using bash builtins.  makepkg requires bash 4.x.  If you’re unsure about correct shell scripting techniques please see http://mywiki.wooledge.org/BashGuide [[User:Earnest|Earnest]] ([[User talk:Earnest|talk]]) 10:47, 14 September 2013 (UTC)
+
: {{ic|echo}} should never be used in shell scripting and I’ve replaced subshells (|) and forks (sed) by using bash builtins.  makepkg requires bash 4.x.  If you’re unsure about correct shell scripting techniques please see http://mywiki.wooledge.org/BashGuide — if you ever happen to be on freenode, {{ic|/msg greybot echo}}
 +
[[User:Earnest|Earnest]] ([[User talk:Earnest|talk]]) 10:49, 14 September 2013 (UTC)

Revision as of 10:49, 14 September 2013

WPA supplicant

Hi, I check the interlanguage link in WPA supplicant, all of them works well. Please do not delet them. -- Fengchao (talk) 13:17, 15 May 2013 (UTC)

None of them point to the new article, they are all based on the outdated version. Earnest (talk) 15:01, 15 May 2013 (UTC)
Remove language link will make it much harder for users to reach localized page. So the re-translation process will become much longer.
You can flag them need translation using Template:Translateme. Then wait for translator to re-translate them. See Also ArchWiki:Requests.
-- Fengchao (talk) 09:08, 16 May 2013 (UTC)
Aha, that makes a lot more sense, thanks. Earnest (talk) 12:09, 16 May 2013 (UTC)

Changes to VCS PKGBUILD guidelines

Why did you change everything to create variables and use printf instead of echo? It seems to me that you just took something simple, common, and easy to understand and changed it to something more complex for no reason. Scimmia (talk) 03:23, 14 September 2013 (UTC)

echo should never be used in shell scripting and I’ve replaced subshells (|) and forks (sed) by using bash builtins. makepkg requires bash 4.x. If you’re unsure about correct shell scripting techniques please see http://mywiki.wooledge.org/BashGuide — if you ever happen to be on freenode, /msg greybot echo

Earnest (talk) 10:49, 14 September 2013 (UTC)